Package org.eclipse.emf.compare.impl

# Class ConflictImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.compare.impl.ConflictImpl

All Implemented Interfaces:
  `Notifier`, `Conflict`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`

Direct Known Subclasses:
  `ConflictSpec`, `ThreeWayComparisonGroupProvider.CompositeConflict`

public class ConflictImpl extends MinimalEObjectImpl.Container implements Conflict
An implementation of the model object 'Conflict'.

The following features are implemented:

- `Kind`
- `Differences`

Generated:

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`copyright`
`protected EList<Diff>`
`differences`
The cached value of the '`Differences`' reference list.
`protected ConflictKind`
`kind`
The cached value of the '`Kind`' attribute.
`protected static final ConflictKind`
`KIND_EDEFAULT`
The default value of the '`Kind`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ConflictImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`EList<Diff>`
`getDifferences()`
`ConflictKind`
`getKind()`
`EList<Diff>`
`getLeftDifferences()`
`EList<Diff>`
`getRightDifferences()`
`void`
`setKind(ConflictKind newKind)`
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### copyright

public static final String copyright

See Also:
  - Constant Field Values
Generated:

### KIND_EDEFAULT

protected static final ConflictKind KIND_EDEFAULT
The default value of the '`Kind`' attribute.

See Also:
  - `getKind()`
Generated:

### kind

protected ConflictKind kind
The cached value of the '`Kind`' attribute.

See Also:
  - `getKind()`
Generated:

### differences

protected EList<Diff> differences
The cached value of the '`Differences`' reference list.

See Also:
  - `getDifferences()`
Generated:

## Constructor Details

### ConflictImpl

protected ConflictImpl()

Generated:

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `BasicEObjectImpl`
Generated:

### getKind

public ConflictKind getKind()

Specified by:
  `getKind` in interface `Conflict`
Returns:
  the value of the 'Kind' attribute.
See Also:
  - `ConflictKind`
  - `Conflict.setKind(ConflictKind)`
  - `ComparePackage.getConflict_Kind()`
Generated:

### setKind

public void setKind(ConflictKind newKind)

Specified by:
  `setKind` in interface `Conflict`
Parameters:
  `newKind` - the new value of the 'Kind' attribute.
See Also:
  - `ConflictKind`
  - `Conflict.getKind()`
Generated:

### getDifferences

public EList<Diff> getDifferences()

Specified by:
  `getDifferences` in interface `Conflict`
Returns:
  the value of the 'Differences' reference list.
See Also:
  - `ComparePackage.getConflict_Differences()`
  - `Diff.getConflict()`
Generated:

### getLeftDifferences

public EList<Diff> getLeftDifferences()

Specified by:
  `getLeftDifferences` in interface `Conflict`
Generated:

### getRightDifferences

public EList<Diff> getRightDifferences()

Specified by:
  `getRightDifferences` in interface `Conflict`
Generated:

### eInverseAdd

public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `BasicEObjectImpl`
Generated:

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `BasicEObjectImpl`
Generated:

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `BasicEObjectImpl`
Generated:

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `BasicEObjectImpl`
Generated:

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `BasicEObjectImpl`
Generated:

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `BasicEObjectImpl`
Generated:

### toString

public String toString()

Overrides:
  `toString` in class `BasicEObjectImpl`
Generated: